Bug 247199 - print/scribus-devel: compilation error: ninja: build stopped: subcommand failed.
Summary: print/scribus-devel: compilation error: ninja: build stopped: subcommand failed.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-12 10:01 UTC by O. Hartmann
Modified: 2020-06-20 01:36 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (pkubaj)


Attachments
Patch to force print/scribus-devel to use llvm 8.0. (1.09 KB, patch)
2020-06-16 15:21 UTC, Oliver Fromme
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2020-06-12 10:01:44 UTC
On both recent 12-STABLE and recent CURRENT, port print/scribus-devel fails to build with the error shown below.

[...]
=>> Building print/scribus-devel
build started at Fri Jun 12 09:44:03 UTC 2020
port directory: /usr/ports/print/scribus-devel
package name: scribus-devel-1.5.5_14
building for: FreeBSD my.host.gdr 12.1-STABLE FreeBSD 12.1-STABLE 1201517 amd64
maintained by: pkubaj@FreeBSD.org
Makefile ident:      $FreeBSD: head/print/scribus-devel/Makefile 537559 2020-06-02 14:47:29Z tcberner $
Poudriere version: 3.3.4
Host OSVERSION: 1300097
Jail OSVERSION: 1201517
Job Id: 01

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1201517
UNAME_v=FreeBSD 12.1-STABLE 1201517
UNAME_r=12.1-STABLE
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.4
MAKEOBJDIRPREFIX=/pool/sources/12-STABLE/obj
MASTERMNT=/pool/poudriere/data/.m/12amd64-head-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=screen
PWD=/pool/poudriere/data/.m/12amd64-head-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=12amd64-head-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/pool/poudriere/data/.m/12amd64-head-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for scribus-devel-1.5.5_14:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
pkubaj@FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--
[...]

[...]
[52/2045] /usr/bin/c++  -DAPPDATADIR=\"/usr/local/share/metainfo/\" -DDESKTOPDIR=\"/usr/local/share/applications/\" -DDOCDIR=\"/usr/local/share/doc/scribus/\" -DHAVE_CONFIG_H -DHAVE_DLFCN_H -DHAVE_UNISTD_H -DICONDIR=\"/usr/local/share/scribus/icons/\" -DLIBDIR=\"/usr/local/lib/scribus/\" -DPLUGINDIR=\"/usr/local/lib/scribus/plugins/\" -DQMLDIR=\"/usr/local/share/scribus/qml/\" -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_OPENGL_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_XML_LIB -DSAMPLESDIR=\"/usr/local/share/scribus/samples/\" -DSCRIPTSDIR=\"/usr/local/share/scribus/scripts/\" -DSHAREDIR=\"/usr/local/share/scribus/\" -DTEMPLATEDIR=\"/usr/local/share/scribus/templates/\" -Iscribus/text -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus/text -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtCore -I/usr/local/lib/qt5/mkspecs/freebsd-clang -I/usr/local/include/qt5/QtWidgets -I/usr/local/include/qt5/QtGui -I/usr/local/include -I/usr/local/include/qt5/QtXml -I/usr/local/include/qt5/QtNetwork -I/usr/local/include/qt5/QtOpenGL -I/usr/local/include/qt5/QtPrintSupport -I. -Iscribus -I/usr/local/include/libxml2 -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5 -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus -I/usr/local/include/freetype2 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/pixman-1 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz -O2 -pipe -fstack-protector-strong -fno-strict-aliasing  -O2 -Wall -fPIC -fPIC   -DCOMPILE_SCRIBUS_MAIN_APP -std=gnu++11 -MD -MT scribus/text/CMakeFiles/scribus_text_lib.dir/boxes.cpp.o -MF scribus/text/CMakeFiles/scribus_text_lib.dir/boxes.cpp.o.d -o scribus/text/CMakeFiles/scribus_text_lib.dir/boxes.cpp.o -c /wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus/text/boxes.cpp
[53/2045] /usr/bin/c++  -DAPPDATADIR=\"/usr/local/share/metainfo/\" -DDESKTOPDIR=\"/usr/local/share/applications/\" -DDOCDIR=\"/usr/local/share/doc/scribus/\" -DHAVE_CONFIG_H -DHAVE_DLFCN_H -DHAVE_UNISTD_H -DICONDIR=\"/usr/local/share/scribus/icons/\" -DLIBDIR=\"/usr/local/lib/scribus/\" -DPLUGINDIR=\"/usr/local/lib/scribus/plugins/\" -DQMLDIR=\"/usr/local/share/scribus/qml/\" -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_OPENGL_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_XML_LIB -DSAMPLESDIR=\"/usr/local/share/scribus/samples/\" -DSCRIPTSDIR=\"/usr/local/share/scribus/scripts/\" -DSHAREDIR=\"/usr/local/share/scribus/\" -DTEMPLATEDIR=\"/usr/local/share/scribus/templates/\" -Iscribus/text -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus/text -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtCore -I/usr/local/lib/qt5/mkspecs/freebsd-clang -I/usr/local/include/qt5/QtWidgets -I/usr/local/include/qt5/QtGui -I/usr/local/include -I/usr/local/include/qt5/QtXml -I/usr/local/include/qt5/QtNetwork -I/usr/local/include/qt5/QtOpenGL -I/usr/local/include/qt5/QtPrintSupport -I. -Iscribus -I/usr/local/include/libxml2 -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5 -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus -I/usr/local/include/freetype2 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/pixman-1 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz -O2 -pipe -fstack-protector-strong -fno-strict-aliasing  -O2 -Wall -fPIC -fPIC   -DCOMPILE_SCRIBUS_MAIN_APP -std=gnu++11 -MD -MT scribus/text/CMakeFiles/scribus_text_lib.dir/sctext_shared.cpp.o -MF scribus/text/CMakeFiles/scribus_text_lib.dir/sctext_shared.cpp.o.d -o scribus/text/CMakeFiles/scribus_text_lib.dir/sctext_shared.cpp.o -c /wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus/text/sctext_shared.cpp
[54/2045] /usr/bin/c++  -DAPPDATADIR=\"/usr/local/share/metainfo/\" -DDESKTOPDIR=\"/usr/local/share/applications/\" -DDOCDIR=\"/usr/local/share/doc/scribus/\" -DHAVE_CONFIG_H -DHAVE_DLFCN_H -DHAVE_UNISTD_H -DICONDIR=\"/usr/local/share/scribus/icons/\" -DLIBDIR=\"/usr/local/lib/scribus/\" -DPLUGINDIR=\"/usr/local/lib/scribus/plugins/\" -DQMLDIR=\"/usr/local/share/scribus/qml/\" -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_OPENGL_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_XML_LIB -DSAMPLESDIR=\"/usr/local/share/scribus/samples/\" -DSCRIPTSDIR=\"/usr/local/share/scribus/scripts/\" -DSHAREDIR=\"/usr/local/share/scribus/\" -DTEMPLATEDIR=\"/usr/local/share/scribus/templates/\" -Iscribus/styles -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus/styles -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtCore -I/usr/local/lib/qt5/mkspecs/freebsd-clang -I/usr/local/include/qt5/QtWidgets -I/usr/local/include/qt5/QtGui -I/usr/local/include -I/usr/local/include/qt5/QtXml -I/usr/local/include/qt5/QtNetwork -I/usr/local/include/qt5/QtOpenGL -I/usr/local/include/qt5/QtPrintSupport -I. -Iscribus -I/usr/local/include/libxml2 -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5 -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus -I/usr/local/include/freetype2 -O2 -pipe -fstack-protector-strong -fno-strict-aliasing  -O2 -Wall -fPIC -fPIC   -DCOMPILE_SCRIBUS_MAIN_APP -std=gnu++11 -MD -MT scribus/styles/CMakeFiles/scribus_styles_lib.dir/charstyle.cpp.o -MF scribus/styles/CMakeFiles/scribus_styles_lib.dir/charstyle.cpp.o.d -o scribus/styles/CMakeFiles/scribus_styles_lib.dir/charstyle.cpp.o -c /wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus/styles/charstyle.cpp
[55/2045] /usr/bin/c++  -DAPPDATADIR=\"/usr/local/share/metainfo/\" -DDESKTOPDIR=\"/usr/local/share/applications/\" -DDOCDIR=\"/usr/local/share/doc/scribus/\" -DHAVE_CONFIG_H -DHAVE_DLFCN_H -DHAVE_UNISTD_H -DICONDIR=\"/usr/local/share/scribus/icons/\" -DLIBDIR=\"/usr/local/lib/scribus/\" -DPLUGINDIR=\"/usr/local/lib/scribus/plugins/\" -DQMLDIR=\"/usr/local/share/scribus/qml/\" -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_OPENGL_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_XML_LIB -DSAMPLESDIR=\"/usr/local/share/scribus/samples/\" -DSCRIPTSDIR=\"/usr/local/share/scribus/scripts/\" -DSHAREDIR=\"/usr/local/share/scribus/\" -DTEMPLATEDIR=\"/usr/local/share/scribus/templates/\" -Iscribus/text -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus/text -I/usr/local/include/qt5 -I/usr/local/include/qt5/QtCore -I/usr/local/lib/qt5/mkspecs/freebsd-clang -I/usr/local/include/qt5/QtWidgets -I/usr/local/include/qt5/QtGui -I/usr/local/include -I/usr/local/include/qt5/QtXml -I/usr/local/include/qt5/QtNetwork -I/usr/local/include/qt5/QtOpenGL -I/usr/local/include/qt5/QtPrintSupport -I. -Iscribus -I/usr/local/include/libxml2 -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5 -I/wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus -I/usr/local/include/freetype2 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include/pixman-1 -I/usr/local/include/libdrm -I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz -O2 -pipe -fstack-protector-strong -fno-strict-aliasing  -O2 -Wall -fPIC -fPIC   -DCOMPILE_SCRIBUS_MAIN_APP -std=gnu++11 -MD -MT scribus/text/CMakeFiles/scribus_text_lib.dir/screenpainter.cpp.o -MF scribus/text/CMakeFiles/scribus_text_lib.dir/screenpainter.cpp.o.d -o scribus/text/CMakeFiles/scribus_text_lib.dir/screenpainter.cpp.o -c /wrkdirs/usr/ports/print/scribus-devel/work/scribus-1.5.5/scribus/text/screenpainter.cpp
ninja: build stopped: subcommand failed.
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1
Comment 1 Oliver Fromme freebsd_committer 2020-06-16 15:21:43 UTC
Created attachment 215615 [details]
Patch to force print/scribus-devel to use llvm 8.0.
Comment 2 Oliver Fromme freebsd_committer 2020-06-16 15:22:51 UTC
This is probably caused by the update of llvm / clang.

I have attached a patch that forces it to use llvm 8.0.  With that patch applied, the port builds fine.

Note that some other ports require llvm 8.0 for building, too, for example graphics/mesa-dri which is required by xorg-server.  So, most users who build from ports have llvm 8.0 on their system anyway, so requiring it for Scribus does not impose an extra burden on them.
Comment 3 Piotr Kubaj freebsd_committer 2020-06-16 15:35:32 UTC
Thanks, I'll test it later. I didn't fix it because the port is still using Python 2 and I didn't see any patches to migrate to 3.
Comment 4 Oliver Fromme freebsd_committer 2020-06-19 11:11:43 UTC
Well ... Scribus contains about 54,000 lines of Python code, and some of it seems to have been imported from other projects. I'm afraid it is unlikely that patches for migrating all of that to Python 3 will appear in the short run.

For now, I think the priority is to unbreak the port and make it build again on systems with the newer LLVM. This is also rather trivial in comparison.

Concerning Python 2: There are still many, many ports that require it, including very popular ones. To be honest, I doubt that all of them will be migrated by the end of 2020, so the EOL of Python 2 in FreeBSD's ports collection will probably be postponed. But that's just my personal opinion.
Comment 5 Piotr Kubaj freebsd_committer 2020-06-20 01:33:36 UTC
Using LLVM 8 will break GCC architectures. It's better to just use GCC everywhere if we have to use non-base compiler anyway.
Comment 6 commit-hook freebsd_committer 2020-06-20 01:35:48 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Jun 20 01:35:38 UTC 2020
New revision: 539691
URL: https://svnweb.freebsd.org/changeset/ports/539691

Log:
  print/scribus-devel: fix build when LLVM 10 is in use

  Switch to GCC, LLVM 10 can't build this port.

  PR:		247199
  Reported by:	ohartmann@walstatt.org

Changes:
  head/print/scribus-devel/Makefile